#VT50-2013-2016-84-28-6
#Copyright (c) 2018 Veritas Technologies LLC. All rights reserved.  Veritas
#and the Veritas Logo are trademarks or registered trademarks of Veritas 
#Technologies LLC or its affiliates in the U.S. and other countries. 
#Other names may be trademarks of their respective owners.
#
#The Licensed Software and Documentation are deemed to be commercial computer 
#software as defined in FAR 12.212 and subject to restricted rights as defined 
#in FAR Section 52.227-19 "Commercial Computer Software - Restricted Rights" and 
#DFARS 227.7202, et seq. "Commercial Computer Software and Commercial Computer 
#Software Documentation," as applicable, and any successor regulations, whether 
#delivered by Veritas as on premises or hosted services.  Any use, modification, 
#reproduction release, performance, display or disclosure of the Licensed Software 
#and Documentation by the U.S. Government shall be solely in accordance with the 
#terms of this Agreement.

#!/usr/bin/sh

# Use it on vCenter

check_vc_services() {
	res=1;
	service_array=( vmware-sts-idmd vmware-psc-client vmware-stsd vmcad vmdird )
	
	echo "Checking services on external PSC: ";

	for service_name in "${service_array[@]}"
	do
		serv_status=`service-control --status $service_name`
		if [ $? -eq 1 ]; then
			echo "Failed to retreive status of service: $service_name" ;
		fi
		echo "$serv_status" ;
	done
	return
}

# following is the main script

if [ $# -gt 0 ]; then
	echo "Usage: check_psc_services";
	exit;
fi

# check vcenter services
check_vc_services;

